/*
 * $Id: 5a37eaac54f8cf538a876579b789ee93b396f205 $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_NTU_H
#define HAD_LIBNTLDAP_NTU_H

int ntu_strcmp(const void *, const void *);
int ntu_strcasecmp(const void *, const void *);

void ntu_to64(char *, long, int);

void ntu_seed(void);

char *ntu_gentime(time_t tloc);
char *ntu_midtime(time_t tloc);

#endif
