/*
 * $Id: 8a620ec41495fe65c7fbf502cd99c6e669a60dcc $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_DRONE_H
#define HAD_LIBNTLDAP_DRONE_H

#include "ntl.h"
#include "ntlc.h"

#define DRONE_ELEANORE_TPL_SUCCESS	"ntm-tpls/noxamail-alias_change"
#define DRONE_ELEANORE_TPL_REVOKE	"ntm-tpls/noxamail-alias_revoke"
#define DRONE_ELEANORE_TPL_CONFLICT	"ntm-tpls/noxamail-alias_conflict"

#define DRONE_R_MAIL	"^[a-zA-Z0-9][a-zA-Z0-9_\\.-]*@[a-zA-Z0-9][a-zA-Z0-9-]*\\.[a-zA-Z0-9][a-zA-Z0-9\\.-]*$"

void drone_generic(const NTL_CFG *, void (*)(void), void (*)(const NTL_ATTR *), void (*)(void), const char *, const char **, const char *, int);

#endif
